### Method

# ECal ComponentAlarm fill_component

since: 3.34

#### Declaration [src]

    void
    e_cal_component_alarm_fill_component (
      ECalComponentAlarm* alarm,
      ICalComponent* component
    )

#### Description [src]

Fills `component` with data from `alarm`. The `component` should be of `I_CAL_VALARM_COMPONENT` kind - the function does nothing, if it’s not. In case the `alarm` doesn’t have set ‘uid’, a new is assigned.

Available since: 3.34

#### Parameters

`component`

  Type: `None`

  An `ICalComponent` of `I_CAL_VALARM_COMPONENT` kind.

  The data is owned by the caller of the method.